Loading...
Searching...
No Matches
BALL::Constant Class Reference
Python » Python extensions

`#include <BALL/PYTHON/EXTENSIONS/pyConstant.h>`

## Static Public Attributes

static double | PI
static double | E
| Euler's number - base of the natural logarithm.
static double | EPSILON
static double | ELEMENTARY_CHARGE
static double | e0
| Elementary charge (alias).
static double | ELECTRON_MASS
static double | PROTON_MASS
static double | NEUTRON_MASS
static double | AVOGADRO
static double | NA
static double | MOL
static double | BOLTZMANN
static double | k
static double | PLANCK
static double | h
static double | GAS_CONSTANT
static double | R
static double | FARADAY
static double | F
static double | BOHR_RADIUS
static double | a0
static double | VACUUM_PERMITTIVITY
static double | VACUUM_PERMEABILITY
static double | SPEED_OF_LIGHT
static double | c
static double | GRAVITATIONAL_CONSTANT
static double | FINE_STRUCTURE_CONSTANT
static double | DEG_PER_RAD
static double | RAD_PER_DEG
static double | MM_PER_INCH
static double | M_PER_FOOT
static double | JOULE_PER_CAL
static double | CAL_PER_JOULE

## Detailed Description

Python constants namespace wrapper. This class is a wrapper for the constants namespace.

Definition at line 21 of file pyConstant.h.

## Member Data Documentation

## a0

double BALL::Constant::a0

static

Bohr radius (alias)

Definition at line 112 of file pyConstant.h.

## AVOGADRO

double BALL::Constant::AVOGADRO

static

Avogadro constant. In units of ( ).

Definition at line 61 of file pyConstant.h.

## BOHR_RADIUS

double BALL::Constant::BOHR_RADIUS

static

Bohr radius. In units m ( m).

Definition at line 108 of file pyConstant.h.

## BOLTZMANN

double BALL::Constant::BOLTZMANN

static

Boltzmann constant. In units of J/K ( J/K).

Definition at line 74 of file pyConstant.h.

## c

double BALL::Constant::c

static

Speed of Light (alias)

Definition at line 134 of file pyConstant.h.

## CAL_PER_JOULE

double BALL::Constant::CAL_PER_JOULE

static

Calories per Joule. 1/JOULE_PER_CAL

Definition at line 174 of file pyConstant.h.

## DEG_PER_RAD

double BALL::Constant::DEG_PER_RAD

static

Degree per rad. 57.2957795130823209

Definition at line 149 of file pyConstant.h.

## E

double BALL::Constant::E

static

Euler's number - base of the natural logarithm.

Definition at line 29 of file pyConstant.h.

## e0

double BALL::Constant::e0

static

Elementary charge (alias).

Definition at line 41 of file pyConstant.h.

## ELECTRON_MASS

double BALL::Constant::ELECTRON_MASS

static

Electron mass. In units of kg ( kg).

Definition at line 46 of file pyConstant.h.

## ELEMENTARY_CHARGE

double BALL::Constant::ELEMENTARY_CHARGE

static

Elementary charge. In units of C ( ).

Definition at line 38 of file pyConstant.h.

## EPSILON

double BALL::Constant::EPSILON

static

Internal theshold for equality comparisons. Default value is 1e-6.

Definition at line 34 of file pyConstant.h.

## F

double BALL::Constant::F

static

Faraday constant (alias)

Definition at line 103 of file pyConstant.h.

## FARADAY

double BALL::Constant::FARADAY

static

Faraday constant (= NA * e0)

Definition at line 99 of file pyConstant.h.

## FINE_STRUCTURE_CONSTANT

double BALL::Constant::FINE_STRUCTURE_CONSTANT

static

Fine structure constant. Without unit ( ).

Definition at line 144 of file pyConstant.h.

## GAS_CONSTANT

double BALL::Constant::GAS_CONSTANT

static

Gas constant (= NA * k)

Definition at line 91 of file pyConstant.h.

## GRAVITATIONAL_CONSTANT

double BALL::Constant::GRAVITATIONAL_CONSTANT

static

Gravitational constant. In units of ( ).

Definition at line 139 of file pyConstant.h.

## h

double BALL::Constant::h

static

Planck constant (alias)

Definition at line 87 of file pyConstant.h.

## JOULE_PER_CAL

double BALL::Constant::JOULE_PER_CAL

static

Joules per calorie. 4.184

Definition at line 169 of file pyConstant.h.

## k

double BALL::Constant::k

static

Boltzmann constant (alias)

Definition at line 78 of file pyConstant.h.

## M_PER_FOOT

double BALL::Constant::M_PER_FOOT

static

m per foot. 3.048

Definition at line 164 of file pyConstant.h.

## MM_PER_INCH

double BALL::Constant::MM_PER_INCH

static

mm per inch. 25.4

Definition at line 159 of file pyConstant.h.

## MOL

double BALL::Constant::MOL

static

Avogadro constant (alias)

Definition at line 69 of file pyConstant.h.

## NA

double BALL::Constant::NA

static

Avogadro constant (alias)

Definition at line 65 of file pyConstant.h.

## NEUTRON_MASS

double BALL::Constant::NEUTRON_MASS

static

Neutron mass. In units of kg ( kg).

Definition at line 56 of file pyConstant.h.

## PI

double BALL::Constant::PI

static

Definition at line 26 of file pyConstant.h.

## PLANCK

double BALL::Constant::PLANCK

static

Planck constant. In units of Js ( Js).

Definition at line 83 of file pyConstant.h.

## PROTON_MASS

double BALL::Constant::PROTON_MASS

static

Proton mass. In units of kg ( kg).

Definition at line 51 of file pyConstant.h.

## R

double BALL::Constant::R

static

Gas constant (alias)

Definition at line 95 of file pyConstant.h.

## RAD_PER_DEG

double BALL::Constant::RAD_PER_DEG

static

Rad per degree. 0.0174532925199432957

Definition at line 154 of file pyConstant.h.

## SPEED_OF_LIGHT

double BALL::Constant::SPEED_OF_LIGHT

static

Speed of light. In units of m/s ( ).

Definition at line 130 of file pyConstant.h.

## VACUUM_PERMEABILITY

double BALL::Constant::VACUUM_PERMEABILITY

static

Vacuum permeability. In units of ( ).

Definition at line 125 of file pyConstant.h.

## VACUUM_PERMITTIVITY

double BALL::Constant::VACUUM_PERMITTIVITY

static

Vacuum permittivity. In units of $C^2J^{-1}m^{-1}$ ($8.85419 \cdot 10^{-12} C^2J^{-1}m^{-1}$).

Definition at line 120 of file pyConstant.h.